diff --git a/src/providers/ipa/ipa_hbac_common.c b/src/providers/ipa/ipa_hbac_common.c
index 0473a02..81830cd 100644
--- a/src/providers/ipa/ipa_hbac_common.c
+++ b/src/providers/ipa/ipa_hbac_common.c
@@ -39,7 +39,7 @@ ipa_hbac_save_list(struct sss_domain_info *domain,
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(1, ("talloc_new failed.\n"));
+        DEBUG(1, "talloc_new failed.\n");
         return ENOMEM;
     }
 
@@ -53,7 +53,7 @@ ipa_hbac_save_list(struct sss_domain_info *domain,
 
         ret = sysdb_delete_recursive(domain->sysdb, base_dn, true);
         if (ret != EOK) {
-            DEBUG(1, ("sysdb_delete_recursive failed.\n"));
+            DEBUG(1, "sysdb_delete_recursive failed.\n");
             goto done;
         }
     }
@@ -61,27 +61,27 @@ ipa_hbac_save_list(struct sss_domain_info *domain,
     for (c = 0; c < count; c++) {
         ret = sysdb_attrs_get_el(list[c], naming_attribute, &el);
         if (ret != EOK) {
-            DEBUG(1, ("sysdb_attrs_get_el failed.\n"));
+            DEBUG(1, "sysdb_attrs_get_el failed.\n");
             goto done;
         }
         if (el->num_values == 0) {
-            DEBUG(1, ("[%s] not found.\n", naming_attribute));
+            DEBUG(1, "[%s] not found.\n", naming_attribute);
             ret = EINVAL;
             goto done;
         }
         object_name = talloc_strndup(tmp_ctx, (const char *)el->values[0].data,
                                      el->values[0].length);
         if (object_name == NULL) {
-            DEBUG(1, ("talloc_strndup failed.\n"));
+            DEBUG(1, "talloc_strndup failed.\n");
             ret = ENOMEM;
             goto done;
         }
-        DEBUG(9, ("Object name: [%s].\n", object_name));
+        DEBUG(9, "Object name: [%s].\n", object_name);
 
         ret = sysdb_store_custom(domain->sysdb, domain,
                                  object_name, subdir, list[c]);
         if (ret != EOK) {
-            DEBUG(1, ("sysdb_store_custom failed.\n"));
+            DEBUG(1, "sysdb_store_custom failed.\n");
             goto done;
         }
     }
@@ -114,7 +114,7 @@ ipa_hbac_sysdb_save(struct sss_domain_info *domain,
     /* Save the entries and groups to the cache */
     ret = sysdb_transaction_start(domain->sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto done;
     };
     in_transaction = true;
@@ -123,8 +123,8 @@ ipa_hbac_sysdb_save(struct sss_domain_info *domain,
     ret = ipa_hbac_save_list(domain, true, primary_subdir,
                              attr_name, primary_count, primary);
     if (ret != EOK) {
-        DEBUG(1, ("Could not save %s. [%d][%s]\n",
-                  primary_subdir, ret, strerror(ret)));
+        DEBUG(1, "Could not save %s. [%d][%s]\n",
+                  primary_subdir, ret, strerror(ret));
         goto done;
     }
 
@@ -133,15 +133,15 @@ ipa_hbac_sysdb_save(struct sss_domain_info *domain,
         ret = ipa_hbac_save_list(domain, true, group_subdir,
                                  groupattr_name, group_count, groups);
         if (ret != EOK) {
-            DEBUG(1, ("Could not save %s. [%d][%s]\n",
-                      group_subdir, ret, strerror(ret)));
+            DEBUG(1, "Could not save %s. [%d][%s]\n",
+                      group_subdir, ret, strerror(ret));
             goto done;
         }
     }
 
     ret = sysdb_transaction_commit(domain->sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto done;
     }
     in_transaction = false;
@@ -150,12 +150,12 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(domain->sysdb);
         if (sret != EOK) {
-            DEBUG(0, ("Could not cancel sysdb transaction\n"));
+            DEBUG(0, "Could not cancel sysdb transaction\n");
         }
     }
 
     if (ret != EOK) {
-        DEBUG(3, ("Error [%d][%s]\n", ret, strerror(ret)));
+        DEBUG(3, "Error [%d][%s]\n", ret, strerror(ret));
     }
     return ret;
 }
@@ -171,7 +171,7 @@ replace_attribute_name(const char *old_name,
     for (i = 0; i < count; i++) {
         ret = sysdb_attrs_replace_name(list[i], old_name, new_name);
         if (ret != EOK) {
-            DEBUG(1, ("sysdb_attrs_replace_name failed.\n"));
+            DEBUG(1, "sysdb_attrs_replace_name failed.\n");
             return ret;
         }
     }
@@ -236,7 +236,7 @@ hbac_ctx_to_rules(TALLOC_CTX *mem_ctx,
         if (ret == EPERM) {
             goto done;
         } else if (ret != EOK) {
-            DEBUG(1, ("Could not construct rules\n"));
+            DEBUG(1, "Could not construct rules\n");
             goto done;
         }
     }
@@ -245,7 +245,7 @@ hbac_ctx_to_rules(TALLOC_CTX *mem_ctx,
     /* Create the eval request */
     ret = hbac_ctx_to_eval_request(tmp_ctx, hbac_ctx, &new_request);
     if (ret != EOK) {
-        DEBUG(1, ("Could not construct eval request\n"));
+        DEBUG(1, "Could not construct eval request\n");
         goto done;
     }
 
@@ -276,7 +276,7 @@ hbac_attrs_to_rule(TALLOC_CTX *mem_ctx,
     ret = sysdb_attrs_get_el(hbac_ctx->rules[idx],
                              IPA_CN, &el);
     if (ret != EOK || el->num_values == 0) {
-        DEBUG(4, ("rule has no name, assuming '(none)'.\n"));
+        DEBUG(4, "rule has no name, assuming '(none)'.\n");
         new_rule->name = talloc_strdup(new_rule, "(none)");
     } else {
         new_rule->name = talloc_strndup(new_rule,
@@ -284,7 +284,7 @@ hbac_attrs_to_rule(TALLOC_CTX *mem_ctx,
                                         el->values[0].length);
     }
 
-    DEBUG(7, ("Processing rule [%s]\n", new_rule->name));
+    DEBUG(7, "Processing rule [%s]\n", new_rule->name);
 
     ret = sysdb_attrs_get_bool(hbac_ctx->rules[idx], IPA_ENABLED_FLAG,
                                &new_rule->enabled);
@@ -301,7 +301,7 @@ hbac_attrs_to_rule(TALLOC_CTX *mem_ctx,
     if (ret != EOK) goto done;
 
     if (strcasecmp(rule_type, IPA_HBAC_ALLOW) != 0) {
-        DEBUG(7, ("Rule [%s] is not an ALLOW rule\n", new_rule->name));
+        DEBUG(7, "Rule [%s] is not an ALLOW rule\n", new_rule->name);
         ret = EPERM;
         goto done;
     }
@@ -312,8 +312,8 @@ hbac_attrs_to_rule(TALLOC_CTX *mem_ctx,
                                   hbac_ctx->rules[idx],
                                   &new_rule->users);
     if (ret != EOK) {
-        DEBUG(1, ("Could not parse users for rule [%s]\n",
-                  new_rule->name));
+        DEBUG(1, "Could not parse users for rule [%s]\n",
+                  new_rule->name);
         goto done;
     }
 
@@ -323,8 +323,8 @@ hbac_attrs_to_rule(TALLOC_CTX *mem_ctx,
                                      hbac_ctx->rules[idx],
                                      &new_rule->services);
     if (ret != EOK) {
-        DEBUG(1, ("Could not parse services for rule [%s]\n",
-                  new_rule->name));
+        DEBUG(1, "Could not parse services for rule [%s]\n",
+                  new_rule->name);
         goto done;
     }
 
@@ -334,8 +334,8 @@ hbac_attrs_to_rule(TALLOC_CTX *mem_ctx,
                                    hbac_ctx->rules[idx],
                                    &new_rule->targethosts);
     if (ret != EOK) {
-        DEBUG(1, ("Could not parse target hosts for rule [%s]\n",
-                  new_rule->name));
+        DEBUG(1, "Could not parse target hosts for rule [%s]\n",
+                  new_rule->name);
         goto done;
     }
 
@@ -348,8 +348,8 @@ hbac_attrs_to_rule(TALLOC_CTX *mem_ctx,
                                                    IPA_HBAC_SUPPORT_SRCHOST),
                                    &new_rule->srchosts);
     if (ret != EOK) {
-        DEBUG(1, ("Could not parse source hosts for rule [%s]\n",
-                  new_rule->name));
+        DEBUG(1, "Could not parse source hosts for rule [%s]\n",
+                  new_rule->name);
         goto done;
     }
 
@@ -381,12 +381,12 @@ hbac_get_category(struct sysdb_attrs *attrs,
     if (ret != ENOENT) {
         for (i = 0; categories[i]; i++) {
             if (strcasecmp("all", categories[i]) == 0) {
-                DEBUG(5, ("Category is set to 'all'.\n"));
+                DEBUG(5, "Category is set to 'all'.\n");
                 cats |= HBAC_CATEGORY_ALL;
                 continue;
             }
-            DEBUG(9, ("Unsupported user category [%s].\n",
-                      categories[i]));
+            DEBUG(9, "Unsupported user category [%s].\n",
+                      categories[i]);
         }
     }
 
@@ -450,7 +450,7 @@ hbac_ctx_to_eval_request(TALLOC_CTX *mem_ctx,
     if (strcasecmp(pd->domain, domain->name) != 0) {
         user_dom = find_subdomain_by_name(domain, pd->domain, true);
         if (user_dom == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("find_subdomain_by_name failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "find_subdomain_by_name failed.\n");
             ret = ENOMEM;
             goto done;
         }
@@ -486,7 +486,7 @@ hbac_ctx_to_eval_request(TALLOC_CTX *mem_ctx,
     /* The target host is always the current machine */
     thost = dp_opt_get_cstring(hbac_ctx->ipa_options, IPA_HOSTNAME);
     if (thost == NULL) {
-        DEBUG(1, ("Missing ipa_hostname, this should never happen.\n"));
+        DEBUG(1, "Missing ipa_hostname, this should never happen.\n");
         ret = EINVAL;
         goto done;
     }
@@ -539,18 +539,18 @@ hbac_eval_user_element(TALLOC_CTX *mem_ctx,
     ret = sysdb_search_user_by_name(tmp_ctx, sysdb, domain,
                                     users->name, attrs, &msg);
     if (ret != EOK) {
-        DEBUG(1, ("Could not determine user memberships for [%s]\n",
-                  users->name));
+        DEBUG(1, "Could not determine user memberships for [%s]\n",
+                  users->name);
         goto done;
     }
 
     el = ldb_msg_find_element(msg, SYSDB_ORIG_MEMBEROF);
     if (el == NULL || el->num_values == 0) {
-        DEBUG(7, ("No groups for [%s]\n", users->name));
+        DEBUG(7, "No groups for [%s]\n", users->name);
         ret = create_empty_grouplist(users);
         goto done;
     }
-    DEBUG(7, ("[%d] groups for [%s]\n", el->num_values, users->name));
+    DEBUG(7, "[%d] groups for [%s]\n", el->num_values, users->name);
 
     users->groups = talloc_array(users, const char *, el->num_values + 1);
     if (users->groups == NULL) {
@@ -564,16 +564,16 @@ hbac_eval_user_element(TALLOC_CTX *mem_ctx,
         ret = get_ipa_groupname(users->groups, sysdb, member_dn,
                                 &users->groups[num_groups]);
         if (ret != EOK && ret != ENOENT) {
-            DEBUG(3, ("Parse error on [%s]\n", member_dn));
+            DEBUG(3, "Parse error on [%s]\n", member_dn);
             goto done;
         } else if (ret == EOK) {
-            DEBUG(7, ("Added group [%s] for user [%s]\n",
-                      users->groups[num_groups], users->name));
+            DEBUG(7, "Added group [%s] for user [%s]\n",
+                      users->groups[num_groups], users->name);
             num_groups++;
             continue;
         }
         /* Skip entries that are not groups */
-        DEBUG(8, ("Skipping non-group memberOf [%s]\n", member_dn));
+        DEBUG(8, "Skipping non-group memberOf [%s]\n", member_dn);
     }
     users->groups[num_groups] = NULL;
 
@@ -646,7 +646,7 @@ hbac_eval_service_element(TALLOC_CTX *mem_ctx,
     } else if (ret != EOK) {
         goto done;
     } else if (count > 1) {
-        DEBUG(1, ("More than one result for a BASE search!\n"));
+        DEBUG(1, "More than one result for a BASE search!\n");
         ret = EIO;
         goto done;
     }
@@ -754,7 +754,7 @@ hbac_eval_host_element(TALLOC_CTX *mem_ctx,
     } else if (ret != EOK) {
         goto done;
     } else if (count > 1) {
-        DEBUG(1, ("More than one result for a BASE search!\n"));
+        DEBUG(1, "More than one result for a BASE search!\n");
         ret = EIO;
         goto done;
     }
diff --git a/src/providers/ipa/ipa_hbac_hosts.c b/src/providers/ipa/ipa_hbac_hosts.c
index e85206e..33595da 100644
--- a/src/providers/ipa/ipa_hbac_hosts.c
+++ b/src/providers/ipa/ipa_hbac_hosts.c
@@ -63,7 +63,7 @@ static errno_t hbac_host_attrs_to_rule(TALLOC_CTX *mem_ctx,
     /* First check for host category */
     ret = hbac_get_category(rule_attrs, category_attr, &new_hosts->category);
     if (ret != EOK) {
-        DEBUG(1, ("Could not identify host categories\n"));
+        DEBUG(1, "Could not identify host categories\n");
         goto done;
     }
     if (new_hosts->category & HBAC_CATEGORY_ALL) {
@@ -75,12 +75,12 @@ static errno_t hbac_host_attrs_to_rule(TALLOC_CTX *mem_ctx,
     /* Get the list of DNs from the member_attr */
     ret = sysdb_attrs_get_el(rule_attrs, member_attr, &el);
     if (ret != EOK && ret != ENOENT) {
-        DEBUG(1, ("sysdb_attrs_get_el failed.\n"));
+        DEBUG(1, "sysdb_attrs_get_el failed.\n");
         goto done;
     }
     if (ret == ENOENT || el->num_values == 0) {
         el->num_values = 0;
-        DEBUG(4, ("No host specified, rule will never apply.\n"));
+        DEBUG(4, "No host specified, rule will never apply.\n");
     }
 
     /* Assume maximum size; We'll trim it later */
@@ -124,7 +124,7 @@ static errno_t hbac_host_attrs_to_rule(TALLOC_CTX *mem_ctx,
 
         if (ret == EOK) {
             if (count > 1) {
-                DEBUG(1, ("Original DN matched multiple hosts. Skipping \n"));
+                DEBUG(1, "Original DN matched multiple hosts. Skipping \n");
                 talloc_zfree(member_dn);
                 continue;
             }
@@ -134,7 +134,7 @@ static errno_t hbac_host_attrs_to_rule(TALLOC_CTX *mem_ctx,
                                                SYSDB_FQDN,
                                                NULL);
             if (name == NULL) {
-                DEBUG(1, ("FQDN is missing!\n"));
+                DEBUG(1, "FQDN is missing!\n");
                 ret = EFAULT;
                 goto done;
             }
@@ -145,8 +145,8 @@ static errno_t hbac_host_attrs_to_rule(TALLOC_CTX *mem_ctx,
                 ret = ENOMEM;
                 goto done;
             }
-            DEBUG(8, ("Added host [%s] to rule [%s]\n",
-                      name, rule_name));
+            DEBUG(8, "Added host [%s] to rule [%s]\n",
+                      name, rule_name);
             num_hosts++;
         } else { /* ret == ENOENT */
             /* Check if this is a hostgroup */
@@ -160,8 +160,8 @@ static errno_t hbac_host_attrs_to_rule(TALLOC_CTX *mem_ctx,
 
             if (ret == EOK) {
                 if (count > 1) {
-                    DEBUG(1, ("Original DN matched multiple hostgroups. "
-                              "Skipping\n"));
+                    DEBUG(1, "Original DN matched multiple hostgroups. "
+                              "Skipping\n");
                     talloc_zfree(member_dn);
                     continue;
                 }
@@ -169,7 +169,7 @@ static errno_t hbac_host_attrs_to_rule(TALLOC_CTX *mem_ctx,
                 /* Original DN matched a single group. Get the groupname */
                 name = ldb_msg_find_attr_as_string(msgs[0], SYSDB_NAME, NULL);
                 if (name == NULL) {
-                    DEBUG(1, ("Hostgroup name is missing!\n"));
+                    DEBUG(1, "Hostgroup name is missing!\n");
                     ret = EFAULT;
                     goto done;
                 }
@@ -181,14 +181,14 @@ static errno_t hbac_host_attrs_to_rule(TALLOC_CTX *mem_ctx,
                     goto done;
                 }
 
-                DEBUG(8, ("Added hostgroup [%s] to rule [%s]\n",
-                          name, rule_name));
+                DEBUG(8, "Added hostgroup [%s] to rule [%s]\n",
+                          name, rule_name);
                 num_hostgroups++;
             } else { /* ret == ENOENT */
                 /* Neither a host nor a hostgroup? Skip it */
                 DEBUG(SSSDBG_TRACE_LIBS,
-                      ("[%s] does not map to either a host or hostgroup. "
-                       "Skipping\n", member_dn));
+                      "[%s] does not map to either a host or hostgroup. "
+                       "Skipping\n", member_dn);
             }
         }
         talloc_zfree(member_dn);
@@ -229,7 +229,7 @@ hbac_thost_attrs_to_rule(TALLOC_CTX *mem_ctx,
                          struct sysdb_attrs *rule_attrs,
                          struct hbac_rule_element **thosts)
 {
-    DEBUG(7, ("Processing target hosts for rule [%s]\n", rule_name));
+    DEBUG(7, "Processing target hosts for rule [%s]\n", rule_name);
 
     return hbac_host_attrs_to_rule(mem_ctx, domain,
                                    rule_name, rule_attrs,
@@ -255,10 +255,10 @@ hbac_shost_attrs_to_rule(TALLOC_CTX *mem_ctx,
     tmp_ctx = talloc_new(mem_ctx);
     if (tmp_ctx == NULL) return ENOMEM;
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Processing source hosts for rule [%s]\n", rule_name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Processing source hosts for rule [%s]\n", rule_name);
 
     if (!support_srchost) {
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("Source hosts disabled, setting ALL\n"));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "Source hosts disabled, setting ALL\n");
         shosts = talloc_zero(tmp_ctx, struct hbac_rule_element);
         if (shosts == NULL) {
             ret = ENOMEM;
@@ -269,8 +269,8 @@ hbac_shost_attrs_to_rule(TALLOC_CTX *mem_ctx,
         ret = EOK;
         goto done;
     } else {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("WARNING: Using deprecated option "
-                    "ipa_hbac_support_srchost.\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "WARNING: Using deprecated option "
+                    "ipa_hbac_support_srchost.\n");
         sss_log(SSS_LOG_NOTICE, "WARNING: Using deprecated option "
                     "ipa_hbac_support_srchost.\n");
     }
@@ -311,8 +311,8 @@ hbac_shost_attrs_to_rule(TALLOC_CTX *mem_ctx,
                 ret = ENOMEM;
                 goto done;
             }
-            DEBUG(8, ("Added external source host [%s] to rule [%s]\n",
-                      shosts->names[idx], rule_name));
+            DEBUG(8, "Added external source host [%s] to rule [%s]\n",
+                      shosts->names[idx], rule_name);
         }
         shosts->names[idx] = NULL;
     }
diff --git a/src/providers/ipa/ipa_hbac_rules.c b/src/providers/ipa/ipa_hbac_rules.c
index 24caf1f..dcc5e76 100644
--- a/src/providers/ipa/ipa_hbac_rules.c
+++ b/src/providers/ipa/ipa_hbac_rules.c
@@ -68,7 +68,7 @@ ipa_hbac_rule_info_send(TALLOC_CTX *mem_ctx,
     const char **memberof_list;
 
     if (ipa_host == NULL) {
-        DEBUG(1, ("Missing host\n"));
+        DEBUG(1, "Missing host\n");
         return NULL;
     }
 
@@ -77,7 +77,7 @@ ipa_hbac_rule_info_send(TALLOC_CTX *mem_ctx,
 
     ret = sysdb_attrs_get_string(ipa_host, SYSDB_ORIG_DN, &host_dn);
     if (ret != EOK) {
-        DEBUG(1, ("Could not identify IPA hostname\n"));
+        DEBUG(1, "Could not identify IPA hostname\n");
         goto error;
     }
 
@@ -86,7 +86,7 @@ ipa_hbac_rule_info_send(TALLOC_CTX *mem_ctx,
 
     req = tevent_req_create(mem_ctx, &state, struct ipa_hbac_rule_state);
     if (req == NULL) {
-        DEBUG(1, ("tevent_req_create failed.\n"));
+        DEBUG(1, "tevent_req_create failed.\n");
         return NULL;
     }
 
@@ -144,7 +144,7 @@ ipa_hbac_rule_info_send(TALLOC_CTX *mem_ctx,
     ret = sysdb_attrs_get_string_array(ipa_host, SYSDB_ORIG_MEMBEROF,
                                        tmp_ctx, &memberof_list);
     if (ret != EOK && ret != ENOENT) {
-        DEBUG(1, ("Could not identify "));
+        DEBUG(1, "Could not identify ");
     } if (ret == ENOENT) {
         /* This host is not a member of any hostgroups */
         memberof_list = talloc_array(tmp_ctx, const char *, 1);
@@ -224,9 +224,9 @@ ipa_hbac_rule_info_next(struct tevent_req *req,
         return ENOMEM;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Sending request for next search base: "
+    DEBUG(SSSDBG_TRACE_FUNC, "Sending request for next search base: "
                               "[%s][%d][%s]\n", base->basedn, base->scope,
-                              state->cur_filter));
+                              state->cur_filter);
 
     subreq = sdap_get_generic_send(state, state->ev, state->opts, state->sh,
                                    base->basedn, base->scope,
@@ -236,7 +236,7 @@ ipa_hbac_rule_info_next(struct tevent_req *req,
                                                   SDAP_ENUM_SEARCH_TIMEOUT),
                                    true);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("sdap_get_generic_send failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "sdap_get_generic_send failed.\n");
         return ENOMEM;
     }
     tevent_req_set_callback(subreq, ipa_hbac_rule_info_done, req);
@@ -262,7 +262,7 @@ ipa_hbac_rule_info_done(struct tevent_req *subreq)
                                 &rule_count,
                                 &rules);
     if (ret != EOK) {
-        DEBUG(3, ("Could not retrieve HBAC rules\n"));
+        DEBUG(3, "Could not retrieve HBAC rules\n");
         goto fail;
     }
 
@@ -293,7 +293,7 @@ ipa_hbac_rule_info_done(struct tevent_req *subreq)
     } else if (ret != EOK) {
         goto fail;
     } else if (ret == EOK && state->rule_count == 0) {
-        DEBUG(3, ("No rules apply to this host\n"));
+        DEBUG(3, "No rules apply to this host\n");
         tevent_req_error(req, ENOENT);
         return;
     }
diff --git a/src/providers/ipa/ipa_hbac_services.c b/src/providers/ipa/ipa_hbac_services.c
index ace01fa..85333d8 100644
--- a/src/providers/ipa/ipa_hbac_services.c
+++ b/src/providers/ipa/ipa_hbac_services.c
@@ -69,7 +69,7 @@ ipa_hbac_service_info_send(TALLOC_CTX *mem_ctx,
 
     req = tevent_req_create(mem_ctx, &state, struct ipa_hbac_service_state);
     if (req == NULL) {
-        DEBUG(1, ("tevent_req_create failed.\n"));
+        DEBUG(1, "tevent_req_create failed.\n");
         return NULL;
     }
 
@@ -92,7 +92,7 @@ ipa_hbac_service_info_send(TALLOC_CTX *mem_ctx,
 
     state->attrs = talloc_array(state, const char *, 6);
     if (state->attrs == NULL) {
-        DEBUG(1, ("Failed to allocate service attribute list.\n"));
+        DEBUG(1, "Failed to allocate service attribute list.\n");
         ret = ENOMEM;
         goto immediate;
     }
@@ -143,9 +143,9 @@ static errno_t ipa_hbac_service_info_next(struct tevent_req *req,
         return ENOMEM;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Sending request for next search base: "
+    DEBUG(SSSDBG_TRACE_FUNC, "Sending request for next search base: "
                               "[%s][%d][%s]\n", base->basedn, base->scope,
-                              state->cur_filter));
+                              state->cur_filter);
     subreq = sdap_get_generic_send(state, state->ev, state->opts, state->sh,
                                    base->basedn, base->scope,
                                    state->cur_filter,
@@ -154,7 +154,7 @@ static errno_t ipa_hbac_service_info_next(struct tevent_req *req,
                                                   SDAP_ENUM_SEARCH_TIMEOUT),
                                    true);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Error requesting service info\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Error requesting service info\n");
         return EIO;
     }
     tevent_req_set_callback(subreq, ipa_hbac_service_info_done, req);
@@ -203,7 +203,7 @@ ipa_hbac_service_info_done(struct tevent_req *subreq)
                                  state->service_count,
                                  state->services);
     if (ret != EOK) {
-        DEBUG(1, ("Could not replace attribute names\n"));
+        DEBUG(1, "Could not replace attribute names\n");
         goto done;
     }
 
@@ -258,9 +258,9 @@ ipa_hbac_servicegroup_info_next(struct tevent_req *req,
     }
 
     /* Look up service groups */
-    DEBUG(SSSDBG_TRACE_FUNC, ("Sending request for next search base: "
+    DEBUG(SSSDBG_TRACE_FUNC, "Sending request for next search base: "
                               "[%s][%d][%s]\n", base->basedn, base->scope,
-                              state->cur_filter));
+                              state->cur_filter);
     subreq = sdap_get_generic_send(state, state->ev, state->opts, state->sh,
                                    base->basedn, base->scope,
                                    state->cur_filter, state->attrs, NULL, 0,
@@ -268,7 +268,7 @@ ipa_hbac_servicegroup_info_next(struct tevent_req *req,
                                                   SDAP_ENUM_SEARCH_TIMEOUT),
                                    true);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Error requesting servicegroup info\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Error requesting servicegroup info\n");
         return EIO;
     }
     tevent_req_set_callback(subreq, ipa_hbac_servicegroup_info_done, req);
@@ -303,7 +303,7 @@ ipa_hbac_servicegroup_info_done(struct tevent_req *subreq)
                                      group_count,
                                      groups);
         if (ret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Could not replace attribute names\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Could not replace attribute names\n");
             goto done;
         }
 
@@ -311,7 +311,7 @@ ipa_hbac_servicegroup_info_done(struct tevent_req *subreq)
                                      state->servicegroup_count,
                                      state->servicegroups);
         if (ret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Could not replace attribute names\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Could not replace attribute names\n");
             goto done;
         }
 
@@ -346,7 +346,7 @@ done:
     if (ret == EOK) {
         tevent_req_done(req);
     } else {
-        DEBUG(3, ("Error [%d][%s]\n", ret, strerror(ret)));
+        DEBUG(3, "Error [%d][%s]\n", ret, strerror(ret));
         tevent_req_error(req, ret);
     }
 }
@@ -399,7 +399,7 @@ hbac_service_attrs_to_rule(TALLOC_CTX *mem_ctx,
     struct ldb_message **msgs;
     const char *name;
 
-    DEBUG(7, ("Processing PAM services for rule [%s]\n", rule_name));
+    DEBUG(7, "Processing PAM services for rule [%s]\n", rule_name);
 
     tmp_ctx = talloc_new(mem_ctx);
     if (tmp_ctx == NULL) return ENOMEM;
@@ -414,7 +414,7 @@ hbac_service_attrs_to_rule(TALLOC_CTX *mem_ctx,
     ret = hbac_get_category(rule_attrs, IPA_SERVICE_CATEGORY,
                             &new_services->category);
     if (ret != EOK) {
-        DEBUG(1, ("Could not identify service categories\n"));
+        DEBUG(1, "Could not identify service categories\n");
         goto done;
     }
     if (new_services->category & HBAC_CATEGORY_ALL) {
@@ -426,12 +426,12 @@ hbac_service_attrs_to_rule(TALLOC_CTX *mem_ctx,
     /* Get the list of DNs from the member attr */
     ret = sysdb_attrs_get_el(rule_attrs, IPA_MEMBER_SERVICE, &el);
     if (ret != EOK && ret != ENOENT) {
-        DEBUG(1, ("sysdb_attrs_get_el failed.\n"));
+        DEBUG(1, "sysdb_attrs_get_el failed.\n");
         goto done;
     }
     if (ret == ENOENT || el->num_values == 0) {
         el->num_values = 0;
-        DEBUG(4, ("No services specified, rule will never apply.\n"));
+        DEBUG(4, "No services specified, rule will never apply.\n");
     }
 
     /* Assume maximum size; We'll trim it later */
@@ -475,8 +475,8 @@ hbac_service_attrs_to_rule(TALLOC_CTX *mem_ctx,
 
         if (ret == EOK) {
             if (count > 1) {
-                DEBUG(1, ("Original DN matched multiple services. "
-                          "Skipping \n"));
+                DEBUG(1, "Original DN matched multiple services. "
+                          "Skipping \n");
                 talloc_zfree(member_dn);
                 continue;
             }
@@ -484,7 +484,7 @@ hbac_service_attrs_to_rule(TALLOC_CTX *mem_ctx,
             /* Original DN matched a single service. Get the service name */
             name = ldb_msg_find_attr_as_string(msgs[0], IPA_CN, NULL);
             if (name == NULL) {
-                DEBUG(1, ("Attribute is missing!\n"));
+                DEBUG(1, "Attribute is missing!\n");
                 ret = EFAULT;
                 goto done;
             }
@@ -495,8 +495,8 @@ hbac_service_attrs_to_rule(TALLOC_CTX *mem_ctx,
                 ret = ENOMEM;
                 goto done;
             }
-            DEBUG(8, ("Added service [%s] to rule [%s]\n",
-                      name, rule_name));
+            DEBUG(8, "Added service [%s] to rule [%s]\n",
+                      name, rule_name);
             num_services++;
         } else { /* ret == ENOENT */
             /* Check if this is a service group */
@@ -510,8 +510,8 @@ hbac_service_attrs_to_rule(TALLOC_CTX *mem_ctx,
 
             if (ret == EOK) {
                 if (count > 1) {
-                    DEBUG(1, ("Original DN matched multiple service groups. "
-                              "Skipping\n"));
+                    DEBUG(1, "Original DN matched multiple service groups. "
+                              "Skipping\n");
                     talloc_zfree(member_dn);
                     continue;
                 }
@@ -519,7 +519,7 @@ hbac_service_attrs_to_rule(TALLOC_CTX *mem_ctx,
                 /* Original DN matched a single group. Get the groupname */
                 name = ldb_msg_find_attr_as_string(msgs[0], IPA_CN, NULL);
                 if (name == NULL) {
-                    DEBUG(1, ("Attribute is missing!\n"));
+                    DEBUG(1, "Attribute is missing!\n");
                     ret = EFAULT;
                     goto done;
                 }
@@ -531,13 +531,13 @@ hbac_service_attrs_to_rule(TALLOC_CTX *mem_ctx,
                     goto done;
                 }
 
-                DEBUG(8, ("Added service group [%s] to rule [%s]\n",
-                          name, rule_name));
+                DEBUG(8, "Added service group [%s] to rule [%s]\n",
+                          name, rule_name);
                 num_servicegroups++;
             } else { /* ret == ENOENT */
                 /* Neither a service nor a service group? Skip it */
-                DEBUG(1, ("[%s] does not map to either a service or "
-                          "service group. Skipping\n", member_dn));
+                DEBUG(1, "[%s] does not map to either a service or "
+                          "service group. Skipping\n", member_dn);
             }
         }
         talloc_zfree(member_dn);
